OpenTTD Source: GUISettings Struct Reference

OpenTTD Source 13.2.1

Public Member Functions | Data Fields
GUISettings Struct Reference

Settings related to the GUI and other stuff that is not saved in the savegame. More...

`#include <settings_type.h>`

## Public Member Functions
bool | UserIsAllowedToChangeNewGRFs () const
| Returns true when the user has sufficient privileges to edit newgrfs on a running game. More...

## Data Fields
bool | sg_full_load_any
| new full load calculation, any cargo must be full read from pre v93 savegames
bool | lost_vehicle_warn
| if a vehicle can't find its destination, show a warning
uint8 | order_review_system
| perform order reviews on vehicles
bool | vehicle_income_warn
| if a vehicle isn't generating income, show a warning
bool | show_finances
| show finances at end of year
bool | sg_new_nonstop
| ttdpatch compatible nonstop handling read from pre v93 savegames
bool | new_nonstop
| ttdpatch compatible nonstop handling
uint8 | stop_location
| what is the default stop location of trains?
uint8 | auto_scrolling
| scroll when moving mouse to the edge (see ViewportAutoscrolling)
byte | errmsg_duration
| duration of error message
uint16 | hover_delay_ms
| time required to activate a hover event, in milliseconds
bool | link_terraform_toolbar
| display terraform toolbar when displaying rail, road, water and airport toolbars
uint8 | smallmap_land_colour
| colour used for land and heightmap at the smallmap
uint8 | linkgraph_colours
| linkgraph overlay colours
uint8 | scroll_mode
| viewport scroll mode
bool | smooth_scroll
| smooth scroll viewports
bool | measure_tooltip
| show a permanent tooltip when dragging tools
byte | liveries
| options for displaying company liveries, 0=none, 1=self, 2=all
bool | prefer_teamchat
| choose the chat message target with <ENTER>, true=all clients, false=your team
uint8 | advanced_vehicle_list
| use the "advanced" vehicle list
uint8 | loading_indicators
| show loading indicators
uint8 | default_rail_type
| the default rail type for the rail GUI
uint8 | toolbar_pos
| position of toolbars, 0=left, 1=center, 2=right
uint8 | statusbar_pos
| position of statusbar, 0=left, 1=center, 2=right
uint8 | window_snap_radius
| windows snap at each other if closer than this
uint8 | window_soft_limit
| soft limit of maximum number of non-stickied non-vital windows (0 = no limit)
ZoomLevel | zoom_min
| minimum zoom out level
ZoomLevel | zoom_max
| maximum zoom out level
ZoomLevel | sprite_zoom_min
| maximum zoom level at which higher-resolution alternative sprites will be used (if available) instead of scaling a lower resolution sprite
byte | autosave
| how often should we do autosaves?
bool | threaded_saves
| should we do threaded saves?
bool | keep_all_autosave
| name the autosave in a different way
bool | autosave_on_exit
| save an autosave when you quit the game, but do not ask "Do you really want to quit?"
bool | autosave_on_network_disconnect
| save an autosave when you get disconnected from a network game with an error?
uint8 | date_format_in_default_names
| should the default savegame/screenshot name use long dates (31th Dec 2008), short dates (31-12-2008) or ISO dates (2008-12-31)
byte | max_num_autosaves
| controls how many autosavegames are made before the game starts to overwrite (names them 0 to max_num_autosaves - 1)
bool | population_in_label
| show the population of a town in its label?
uint8 | right_mouse_btn_emulation
| should we emulate right mouse clicking?
uint8 | scrollwheel_scrolling
| scrolling using the scroll wheel?
uint8 | scrollwheel_multiplier
| how much 'wheel' per incoming event from the OS?
bool | timetable_arrival_departure
| show arrivals and departures in vehicle timetables
bool | right_mouse_wnd_close
| close window with right click
bool | pause_on_newgame
| whether to start new games paused or not
SignalGUISettings | signal_gui_mode
| select which signal types are shown in the signal GUI
SignalCycleSettings | cycle_signal_types
| Which signal types to cycle with the build signal tool.
SignalType | default_signal_type
| The default signal type, which is set automatically by the last signal used. Not available in Settings.
Year | coloured_news_year
| when does newspaper become coloured?
bool | timetable_in_ticks
| whether to show the timetable in ticks rather than days
bool | quick_goto
| Allow quick access to 'goto button' in vehicle orders window.
bool | auto_euro
| automatically switch to euro in 2002
byte | drag_signals_density
| many signals density
bool | drag_signals_fixed_distance
| keep fixed distance between signals when dragging
Year | semaphore_build_before
| build semaphore signals automatically before this year
byte | news_message_timeout
| how much longer than the news message "age" should we keep the message in the history
bool | show_track_reservation
| highlight reserved tracks.
byte | station_numtracks
| the number of platforms to default on for rail stations
byte | station_platlength
| the platform length, in tiles, for rail stations
bool | station_dragdrop
| whether drag and drop is enabled for stations
bool | station_show_coverage
| whether to highlight coverage area
bool | persistent_buildingtools
| keep the building tools active after usage
bool | expenses_layout
| layout of expenses window
uint32 | last_newgrf_count
| the numbers of NewGRFs we found during the last scan
byte | missing_strings_threshold
| the number of missing strings before showing the warning
uint8 | graph_line_thickness
| the thickness of the lines in the various graph guis
uint8 | osk_activation
| Mouse gesture to trigger the OSK.
byte | starting_colour
| default color scheme for the company to start a new game with
bool | show_newgrf_name
| Show the name of the NewGRF in the build vehicle window.
bool | show_cargo_in_vehicle_lists
| Show the cargoes the vehicles can carry in the list windows.
bool | auto_remove_signals
| automatically remove signals when in the way during rail construction
uint16 | refresh_rate
| How often we refresh the screen (time between draw-ticks).
uint16 | fast_forward_speed_limit
| Game speed to use when fast-forward is enabled.
uint16 | console_backlog_timeout
| the minimum amount of time items should be in the console backlog before they will be removed in ~3 seconds granularity.
uint16 | console_backlog_length
| the minimum amount of items in the console backlog before items will be removed.
uint8 | station_gui_group_order
| the order of grouping cargo entries in the station gui
uint8 | station_gui_sort_by
| sort cargo entries in the station gui by station name or amount
uint8 | station_gui_sort_order
| the sort order of entries in the station gui - ascending or descending
uint16 | network_chat_box_width_pct
| width of the chat box in percent
uint8 | network_chat_box_height
| height of the chat box in lines
uint16 | network_chat_timeout
| timeout of chat messages in seconds
uint8 | developer
| print non-fatal warnings in console (>= 1), copy debug output to console (== 2)
bool | show_date_in_logs
| whether to show dates in console logs
bool | newgrf_developer_tools
| activate NewGRF developer tools and allow modifying NewGRFs in an existing game
bool | ai_developer_tools
| activate AI/GS developer tools
bool | scenario_developer
| activate scenario developer: allow modifying NewGRFs in an existing game
uint8 | settings_restriction_mode
| selected restriction mode in adv. settings GUI. More...
bool | newgrf_show_old_versions
| whether to show old versions in the NewGRF list
uint8 | newgrf_default_palette
| default palette to use for NewGRFs without action 14 palette information
bool | scale_bevels
| bevels are scaled with GUI scale.

## Detailed Description

Settings related to the GUI and other stuff that is not saved in the savegame.

Definition at line 107 of file settings_type.h.

## Member Function Documentation

## ◆ UserIsAllowedToChangeNewGRFs()

bool GUISettings::UserIsAllowedToChangeNewGRFs | ( |  | ) | const
| inline

Returns true when the user has sufficient privileges to edit newgrfs on a running game.

Returns
  whether the user has sufficient privileges to edit newgrfs in an existing game

Definition at line 205 of file settings_type.h.

References newgrf_developer_tools.

## Field Documentation

## ◆ settings_restriction_mode

uint8 GUISettings::settings_restriction_mode

selected restriction mode in adv. settings GUI.

See also
  RestrictionMode

Definition at line 195 of file settings_type.h.

Referenced by GameSettingsWindow::OnDropdownSelect().

The documentation for this struct was generated from the following file:

- src/settings_type.h